Apislack
Reply to a Slack message thread
Write operation: mutates state in the upstream service.
curl -X POST "https://api.modernloop.dev/rest/v1/slack/channels/string/threads/string/replies" \ -H "Authorization: Bearer $MLOOP_INTERNAL_MCP_API_KEY" \ -H "Content-Type: application/json" \ -d '{ "text": "string" }'{ "ok": true, "channel": "string", "ts": "string", "message": { "text": "string", "user": "string", "ts": "string", "thread_ts": "string" }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}{ "error": { "code": "string", "message": "string", "upstreamStatus": 0 }}Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
channelId*string
Slack channel ID
Length
1 <= lengththreadTs*string
Timestamp of the thread's parent message, e.g. '1234567890.123456'
Length
1 <= lengthRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
text*string
Reply text (mrkdwn)
Length
1 <= lengthblocks?array<>
Optional Block Kit blocks, passed through to Slack
Response Body
application/json
application/json
application/json
application/json
application/json
application/json